<template>
  <div class="hello">
    <h1>Welcome to my Nexo Devops Demo Task</h1>
    <b-container class="bv-example-row">
      <b-row align-h="center" class="mb-2">
        <b-col sm="4">
          <b-form-input v-model="firstName" placeholder="Enter your first name"></b-form-input>
        </b-col>
      </b-row>
      <b-row align-h="center" class="mb-2">
        <b-col sm="4">
          <b-form-input v-model="lastName" placeholder="Enter your last name"></b-form-input>
        </b-col>
      </b-row>
      <b-row align-h="center" class="mb-4">
        <b-col>
          <b-button @click="submit" variant="outline-success">Submit</b-button>
        </b-col>
      </b-row>
      <b-row align-h="center" class="mb-2">
        <b-col sm="4">
          <b-form-input v-model="firstNameInput" placeholder="Enter first name to get last name"></b-form-input>
        </b-col>
      </b-row>
      <b-row align-h="center" class="mb-2">
        <b-col>
          <b-button @click="getName" variant="outline-success">Get Last Name</b-button>
        </b-col>
      </b-row>
            <b-row align-h="center" class="mb-2">
        <b-col sm="4">
          <b-form-input disabled v-model="getLastName"></b-form-input>
        </b-col>
      </b-row>
    </b-container>    
  </div>
</template>

<script>
export default {
  name: 'HomeScreen',
  data() {
    return {
      firstName: "",
      lastName: "",
      firstNameInput: "",
      getLastName: ""
    }
  },
  methods:{
    submit() {
      this.$http.post("/save-name", {"first_name": this.firstName, "last_name": this.lastName})
      this.firstName=""
      this.lastName=""
    },
    getName() {
      this.$http.post("/get-last-name", {"first_name": this.firstNameInput}).then((response) => {
        this.getLastName=response.data.last_name
      })
      this.firstNameInput=""
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
